import request from '@/utils/request'

// 查询经络管理列表
export function listVessel(query) {
  return request({
    url: '/his/vessel/list',
    method: 'get',
    params: query
  })
}
export function getAllList() {
  return request({
    url: '/his/vessel/allList',
    method: 'get'
  })
}

// 查询经络管理详细
export function getVessel(id) {
  return request({
    url: '/his/vessel/' + id,
    method: 'get'
  })
}
// 下载导入模板
export function importTemplate() {
  return request({
    url: '/his/questions/importTemplate',
    method: 'get'
  })
}
// 新增经络管理
export function addVessel(data) {
  return request({
    url: '/his/vessel',
    method: 'post',
    data: data
  })
}

// 修改经络管理
export function updateVessel(data) {
  return request({
    url: '/his/vessel',
    method: 'put',
    data: data
  })
}

// 删除经络管理
export function delVessel(id) {
  return request({
    url: '/his/vessel/' + id,
    method: 'delete'
  })
}

// 导出经络管理
export function exportVessel(query) {
  return request({
    url: '/his/vessel/export',
    method: 'get',
    params: query
  })
}
